Description
Hi,

I'm doing some analysis which involves matching the egoalt files to indresp files in the harmonised BHPS / UKHLS file. I'm broadly
following the approach taken in your example syntax here: https://www.understandingsociety.ac.uk/documentation/mainstage/syntax.
When | match the egoalt file into the indresp file based on hidp and pno, | find that there are quite a lot of non-matching variables
(both records that are in the egoalt file and not in the indresp, and vice versa). What is the reason for this?

Also | have perhaps a bit of a stupid additional question: why does the pno within households not always start at 1? Is this because
the original number 1 has since left the household?

Many thanks,

History

#1 - 08/30/2022 02:56 PM - Understanding Society User Support Team

- Private changed from Yes to No

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.
We aim to respond to simple queries within 48 hours and more complex issues within 7 working days.

Best wishes,
Understanding Society User Support Team

#2 - 08/30/2022 03:57 PM - Understanding Society User Support Team
- Status changed from New to Feedback

- % Done changed from 0 to 80

1. There can be cases in w_egoalt not in w_indresp if no adult member from that household completed an adult quesitonnaire
2. There can be cases in w_indrep not in w_egoalt if those are single person households (as w_egoalt shows the relationship between two
co-resident household members)

If you match w_indall with w_egoalt you will see that every individual in w_egoalt is in w_indall (which is the household grid and so incldues every
person enumerated in the household). But you will find some cases in w_indall not in w_egoalt. These are the single person households and you can
check by look at the frequency for the variable w_hhsize in w_indall for such cases.

Hope this helps.

Best wishes,
Understanding Society User Support Team

#3 - 08/30/2022 04:07 PM - Understanding Society User Support Team

The pno are assigned as per the list of hh members when the hh grid is being completed. There is no particular order of doing this. So, it is possible
that the youngest member in the household is assigned pno=1.

If you are looking at w_indresp files you are only looking at adult respondents (i.e., 16+ year olds who completed the adult individual questionnaire)
and their pno may not be 1.

But if you are looking at w_indall files, pno=1 should be in every hh. However, | can see there are 8 households in Wave 11 where the minimum
k_pno value is 2. We will look into this and get back to you.

Hope this helps.

Best wishes,
Understanding Society User Support Team
#4 - 08/31/2022 01:14 PM - Albert Ward

Thanks, that's very helpful. Yes, | was looking at both w_indall and w_egoalt - the pno thing isn't relevant for my work; | was just interested as to what
the reason was.

Best,
Albert

#5 - 09/27/2022 06:29 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- % Done changed from 80 to 100
